SubsystemException
Date: 2016-06-25

org.osgi.service.subsystem

## Class SubsystemException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.osgi.service.subsystem.SubsystemException

- All Implemented Interfaces:
    java.io.Serializable

      public class SubsystemException
      extends java.lang.RuntimeException

  A Subsystem exception used to indicate a problem.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubsystemException()` Construct a Subsystem exception with no message.
    `SubsystemException(java.lang.String message)` Construct a Subsystem exception specifying a message.
    `SubsystemException(java.lang.String message, java.lang.Throwable cause)` Construct a Subsystem exception specifying a message and a cause.
    `SubsystemException(java.lang.Throwable cause)` Construct a Subsystem exception specifying a cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SubsystemException

          public SubsystemException()

      Construct a Subsystem exception with no message.

    - #### SubsystemException

          public SubsystemException(java.lang.String message)

      Construct a Subsystem exception specifying a message.
      Parameters:
        `message` - The message to include in the exception.

    - #### SubsystemException

          public SubsystemException(java.lang.Throwable cause)

      Construct a Subsystem exception specifying a cause.
      Parameters:
        `cause` - The cause of the exception.

    - #### SubsystemException

          public SubsystemException(java.lang.String message,
                            java.lang.Throwable cause)

      Construct a Subsystem exception specifying a message and a cause.
      Parameters:
        `message` - The message to include in the exception.
        `cause` - The cause of the exception.